<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WebUserControl.ascx.cs" Inherits="WebUserControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<script type="text/javascript">
    function OnClientLoad(menu)
    {
        var pathname = window.location.pathname;
        
        var url = pathname.substring(pathname.lastIndexOf('/') + 1);

        var currentItem = FindItemByUrl(menu, url);
        
        if (currentItem)
        {
            currentItem.focus();
            
            currentItem.open();
        }
    }
    
    //Searches for an item which has its 
    //NavigateUrl property set to the specified url.
    function FindItemByUrl(menu, url)
    {
        var items = menu.get_allItems();
        
        var itemsCount = items.length;
        
        var foundItem = null;
        
        for (var itemIndex = 0; itemIndex < itemsCount; itemIndex++)
        {
            var item = items[itemIndex];
            
            var navigateUrl = item.get_navigateUrl();
            
            if (navigateUrl == url)
            {
                foundItem = item;
                
                break;
            }
        }
        
        return foundItem;
    }
</script>

<telerik:RadMenu ID="RadMenu1" runat="server" Flow="Horizontal" OnClientLoad="OnClientLoad">
    <DefaultGroupSettings ExpandDirection="Auto" Flow="Horizontal" />
    <CollapseAnimation Duration="200" Type="OutQuint" />
    <Items>
        <telerik:RadMenuItem runat="server" 
            ExpandMode="ClientSide" Text="Default"
            NavigateUrl="Default.aspx">
            <Items>
                <telerik:RadMenuItem NavigateUrl="Default2.aspx" runat="server" ExpandMode="ClientSide" Text="Default2">
                    <Items>
                        <telerik:RadMenuItem NavigateUrl="Default3.aspx" runat="server" ExpandMode="ClientSide" Text="Default3">
                            <GroupSettings ExpandDirection="Auto" Flow="Horizontal" />
                        </telerik:RadMenuItem>
                    </Items>
                    <GroupSettings ExpandDirection="Auto" Flow="Horizontal" />
                </telerik:RadMenuItem>
                <telerik:RadMenuItem NavigateUrl="Default4.aspx" runat="server" ExpandMode="ClientSide" Text="Default4">
                    <Items>
                        <telerik:RadMenuItem NavigateUrl="Default5.aspx" runat="server" ExpandMode="ClientSide" Text="Default5">
                            <GroupSettings ExpandDirection="Auto" Flow="Horizontal" />
                        </telerik:RadMenuItem>
                    </Items>
                    <GroupSettings ExpandDirection="Auto" Flow="Horizontal" />
                </telerik:RadMenuItem>
            </Items>
            <GroupSettings ExpandDirection="Auto" Flow="Horizontal" />
        </telerik:RadMenuItem>
    </Items>
    <ExpandAnimation Type="OutQuart" />
</telerik:RadMenu>